package com.brilliance.isc.mda.dao;

import com.brilliance.isc.bo.Txpaym;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

@Mapper
public interface TxpaymMapper {

    int insert(Txpaym record);

    int insertSelective(Txpaym record);

    int updateByPrimaryKeySelective(Txpaym record);

    int updateByPrimaryKey(Txpaym record);

    int deleteByPrimaryKey(Txpaym record);

    Txpaym selectByPrimaryKey(Txpaym record);

    Txpaym selectMaxInrRecord(Txpaym record);

    Txpaym selectByTxfinr(Txpaym record);

    Txpaym selectByBsnsrlno(Txpaym record);

    Txpaym selectByRcrdnoAndDataVerfcd(Txpaym record);

    Txpaym selectOnlyByBsnsrlno(Txpaym record);

    int selectTxpaymCount(@Param("trninr") String trninr);

}